diff --git a/tests/test_parse.c b/tests/test_parse.c
index 8808d0fa61..f6b5c03e87 100644
--- a/tests/test_parse.c
+++ b/tests/test_parse.c
@@ -131,7 +131,7 @@ static void test_basic_parse()
 	printf("new_obj.to_string()=%s\n", json_object_to_json_string(new_obj));
 	json_object_put(new_obj);
 
-	new_obj = json_tokener_parse("{ \"abc\": 12, \"foo\": \"bar\", \"bool0\": false, \"bool1\": true, \"arr\": [ 1, 2, 3, null, 5 ] }");
+	new_obj = json_tokener_parse("{ \"abc\": 12, \"foo\": \"bar\", \"bool0\": false, \"bool1\": true, \"arr\": [ 1, 2, 3, null, 5 ], \"inf\": Infinity, \"-inf\": -Infinity, \"nan\": NaN, \"def\" : -0.22, \"hij\": 0.31 }");
 	printf("new_obj.to_string()=%s\n", json_object_to_json_string(new_obj));
 	json_object_put(new_obj);
 }
diff --git a/tests/test_parse.expected b/tests/test_parse.expected
index d49cbbb18e..b8badda5da 100644
--- a/tests/test_parse.expected
+++ b/tests/test_parse.expected
@@ -24,7 +24,7 @@ new_obj.to_string()={ }
 new_obj.to_string()={ "foo": "bar" }
 new_obj.to_string()={ "foo": "bar", "baz": null, "bool0": true }
 new_obj.to_string()={ "foo": [ null, "foo" ] }
-new_obj.to_string()={ "abc": 12, "foo": "bar", "bool0": false, "bool1": true, "arr": [ 1, 2, 3, null, 5 ] }
+new_obj.to_string()={ "abc": 12, "foo": "bar", "bool0": false, "bool1": true, "arr": [ 1, 2, 3, null, 5 ], "inf": Infinity, "-inf": -Infinity, "nan": NaN, "def": -0.22, "hij": 0.31 }
 ==================================
 json_tokener_parse_versbose() OK
 ==================================
